# Uses of Interface
org.eclipse.birt.chart.model.attribute.AttributeFactory

Packages that use AttributeFactory
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of AttributeFactory in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute declared as AttributeFactory
Modifier and Type
Field
Description
`static final AttributeFactory`
AttributeFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.birt.chart.model.attribute that return AttributeFactory
Modifier and Type
Method
Description
`AttributeFactory`
AttributePackage.`getAttributeFactory()`
Returns the factory that creates the instances of the model.

## Uses of AttributeFactory in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement AttributeFactory
Modifier and Type
Class
Description
`class`
`AttributeFactoryImpl`
An implementation of the model Factory .
Methods in org.eclipse.birt.chart.model.attribute.impl that return AttributeFactory
Modifier and Type
Method
Description
`AttributeFactory`
AttributePackageImpl.`getAttributeFactory()`
`static AttributeFactory`
AttributeFactoryImpl.`init()`
Creates the default factory implementation.